﻿using System;
using System.Data;
using System.Windows.Forms;

namespace UltraGridHeaders
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
            ultraGrid1.DataSource = GetData();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.UseFixedHeaders = true;
            e.Layout.Bands[0].Columns[0].Header.Fixed = true;
            e.Layout.Bands[0].Columns[1].Header.Fixed = true;
        }

        private DataTable GetData(int rows = 10)
        {
            DataTable table = new DataTable("Table1");

            table.Columns.Add("Boolean column", typeof(bool));
            table.Columns.Add("Integer column", typeof(int));
            table.Columns.Add("DateTime column", typeof(DateTime));
            table.Columns.Add("String column", typeof(string));
            table.Columns.Add("Decimal column", typeof(decimal));

            for (int i = 0; i < rows; i++)
            {
                DataRow row = table.NewRow();
                row["Boolean column"] = i % 2 == 0 ? true : false;
                row["Integer column"] = i;
                row["String column"] = "text";
                row["DateTime column"] = DateTime.Today.AddDays(i);
                row["Decimal column"] = i + 0.5d;
                table.Rows.Add(row);
            }

            return table;
        }
    }
}
